> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Hris Expense Reports

> Lists all of the caller's own expense reports, newest first, unpaginated.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-my-hris-expense-reports
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-my-hris-expense-reports:
    get:
      operationId: getMyHrisExpenseReports
      summary: Get My Hris Expense Reports
      description: >-
        Lists all of the caller's own expense reports, newest first,
        unpaginated.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMyHrisExpenseReportsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetMyHrisExpenseReportsResponse:
      type: array
      items:
        type: object
        properties:
          hrisExpenseReportID:
            type: string
          roleInOrgID:
            type: string
          roleInOrgName:
            type:
              - string
              - 'null'
          roleInOrgEmail:
            type:
              - string
              - 'null'
          roleInOrgDepartment:
            type:
              - string
              - 'null'
          name:
            type: string
          status:
            type: string
            enum:
              - DRAFT
              - SUBMITTED
              - PENDING_INFO
              - APPROVED
              - REJECTED
              - CANCELLED
              - PAID
              - PROCESSING
          startDate:
            type: string
          endDate:
            type: string
          expensedCurrencyID:
            type: string
          expensedCurrencyCode:
            type:
              - string
              - 'null'
          expensedCurrencyName:
            type:
              - string
              - 'null'
          totalAmountInExpenseCurrency:
            type:
              - string
              - 'null'
          submittedAt:
            type:
              - string
              - 'null'
          approvedAt:
            type:
              - string
              - 'null'
          rejectedAt:
            type:
              - string
              - 'null'
          paidAt:
            type:
              - string
              - 'null'
          payoutStatus:
            type:
              - string
              - 'null'
            enum:
              - PENDING
              - PROCESSING
              - PAID
              - FAILED
              - CANCELLED
              - null
          decisionUndoableUntil:
            type:
              - string
              - 'null'
          rejectionReason:
            type:
              - string
              - 'null'
          reviewComment:
            type:
              - string
              - 'null'
          createdAt:
            type: string
          updatedAt:
            type: string
          expenseCount:
            type: number
          categoryNames:
            type: array
            items:
              type: string
          primaryExpenseCategoryName:
            type:
              - string
              - 'null'
          hasReceiptlessExpenses:
            type: boolean
          thirdPartyProvider:
            type:
              - string
              - 'null'
            enum:
              - EXPENSIFY
              - NAVAN
              - RAMP
              - SAP_CONCUR
              - BILL_SPEND_EXPENSE
              - PLEO
              - BREX
              - null
          thirdPartyReportID:
            type:
              - string
              - 'null'
          reimbursementSyncedAt:
            type:
              - string
              - 'null'
          reimbursementSyncError:
            type:
              - string
              - 'null'
        required:
          - hrisExpenseReportID
          - roleInOrgID
          - roleInOrgName
          - roleInOrgEmail
          - roleInOrgDepartment
          - name
          - status
          - startDate
          - endDate
          - expensedCurrencyID
          - expensedCurrencyCode
          - expensedCurrencyName
          - totalAmountInExpenseCurrency
          - submittedAt
          - approvedAt
          - rejectedAt
          - paidAt
          - payoutStatus
          - decisionUndoableUntil
          - rejectionReason
          - reviewComment
          - createdAt
          - updatedAt
          - expenseCount
          - categoryNames
          - primaryExpenseCategoryName
          - hasReceiptlessExpenses
          - thirdPartyProvider
          - thirdPartyReportID
          - reimbursementSyncedAt
          - reimbursementSyncError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
